Skip to main content
GET
/
checkout
/
sessions
/
{checkout_session}
/
payment-methods
Retrieve Payment Methods for Checkout
curl --request GET \
  --url https://api-sandbox.y.uno/v1/checkout/sessions/{checkout_session}/payment-methods \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>'
[
  {
    "name": "VISA ****1111",
    "vaulted_token": "de00c1bd-624b-4e7b-ae28-47d86c94b15f",
    "description": "VISA ****1111",
    "type": "CARD",
    "category": "CARD",
    "icon": "https://icons.prod.y.uno/visa_logosimbolo.png",
    "last_successfully_used": false,
    "last_successfully_used_at": "",
    "checkout": {
      "session": "d313047b-4f96-44ef-bbad-caf1d7ba4c2b",
      "sdk_required_action": false,
      "conditions": {
        "enabled": true,
        "rules": null
      }
    },
    "card_data": {
      "iin": "41111111",
      "lfd": "1111",
      "expiration_month": 3,
      "expiration_year": 26,
      "number_length": 16,
      "security_code_length": 3,
      "brand": "VISA",
      "issuer": "JPMORGAN CHASE BANK N A",
      "issuer_code": null,
      "category": "CREDIT",
      "type": "CREDIT"
    },
    "preferred": false
  },
  {
    "name": "Card",
    "vaulted_token": null,
    "description": "Card",
    "type": "CARD",
    "category": "CARD",
    "icon": "https://icons.prod.y.uno/card_logosimbolo.png",
    "last_successfully_used": null,
    "last_successfully_used_at": null,
    "checkout": {
      "session": "d313047b-4f96-44ef-bbad-caf1d7ba4c2b",
      "sdk_required_action": true,
      "conditions": {
        "enabled": true,
        "rules": null
      }
    },
    "preferred": false
  },
  {
    "name": "Bank Transfer",
    "vaulted_token": null,
    "description": "Bank Transfer",
    "type": "BANK_TRANSFER",
    "category": "BANK_TRANSFER",
    "icon": "https://icons.prod.y.uno/banktransfer_logosimbolo.png",
    "last_successfully_used": null,
    "last_successfully_used_at": null,
    "checkout": {
      "session": "d313047b-4f96-44ef-bbad-caf1d7ba4c2b",
      "sdk_required_action": true,
      "conditions": {
        "enabled": false,
        "rules": [
          {
            "condition": "INCLUDE",
            "condition_group_code": "2b273309-2c63-4ef8-b5f8-2953abf7ad4a",
            "condition_name": "Country-US",
            "type": "COUNTRY",
            "values": {
              "countries": [
                "US"
              ],
              "currency": null,
              "max": null,
              "metadata": null,
              "min": null
            }
          }
        ]
      }
    },
    "preferred": false
  }
]
This request retrieves a checkout session using the unique identifier that was generated when the session was first created.

Authorizations

public-api-key
string
header
default:<Your public-api-key>
required
private-secret-key
string
header
default:<Your private-secret-key>
required

Path Parameters

checkout_session
string
required

The unique identifier of the checkout session (UUID, 36 chars).

Query Parameters

category
string

Optional category filter.

Response

200

name
string
Example:

"VISA ****1111"

vaulted_token
string
Example:

"de00c1bd-624b-4e7b-ae28-47d86c94b15f"

description
string
Example:

"VISA ****1111"

type
string
Example:

"CARD"

category
string
Example:

"CARD"

icon
string
Example:

"https://icons.prod.y.uno/visa_logosimbolo.png"

last_successfully_used
boolean
default:true
Example:

false

last_successfully_used_at
string
Example:

""

checkout
object
card_data
object
preferred
boolean
default:true
Example:

false